
(*
  Modu LC1216U.
  Pomost programowy  biblioteki LC1216A.DLL dla jzyka PASCAL .
  Opcje komplilatora :
  - Force far calls : on ,
  - Word align data : off ,
  - smart callbacks : on ,
  - windows stack frame : on ,
*)

UNIT lc1216u;

INTERFACE
{$i ambex-lc.pas}

PROCEDURE LC0_ModuleInit(param : Plc0_init);
PROCEDURE LC0_GetTotalConf(param : Plc0_total);
PROCEDURE LC0_GetModule(param : Plc0_module);
PROCEDURE LC0_GetInfo(param : Plc0_info);
PROCEDURE LC0_SetClock(param : Plc0_clock);
PROCEDURE LC0_SetVoltage(param : Plc0_volt);
PROCEDURE LC0_SetTime(param : Plc0_time);
PROCEDURE LC0_Wait(param : Plc0_wait);
PROCEDURE LC0_Interrupt(param : Plc0_interrupt);
PROCEDURE LC0_DigitalIn(param : Plc0_digital_in);
PROCEDURE LC0_DigitalOut(param : Plc0_digital_out);
PROCEDURE LC0_CTCWrite(param : Plc0_ctc_write);
PROCEDURE LC0_CTCRead(param : Plc0_ctc_read);
PROCEDURE LC0_Leave(param : Plc0_leave);
PROCEDURE LC0_Config(param : Plc0_config);
PROCEDURE LC0_Break(param : Plc0_break);
PROCEDURE LC0_DataTransmit(param : Plc0_transmit);
PROCEDURE LC0_MemoryUse(param : Plc0_memoryuse);
PROCEDURE LC0_AnalogIn(param : Plc0_analog_in);
PROCEDURE LC0_AnalogOut(param : Plc0_analog_out);


IMPLEMENTATION

PROCEDURE LC0_ModuleInit; EXTERNAL 'LC1216A' INDEX MODULE_INIT ;
PROCEDURE LC0_GetTotalConf; EXTERNAL 'LC1216A' INDEX GET_TOTAL_CONFIGURATION ;
PROCEDURE LC0_GetModule; EXTERNAL 'LC1216A' INDEX GET_MODULE_CONFIGURATION ;
PROCEDURE LC0_GetInfo; EXTERNAL 'LC1216A' INDEX GET_INFO ;
PROCEDURE LC0_SetClock; EXTERNAL 'LC1216A' INDEX  SET_CLOCK ;
PROCEDURE LC0_SetVoltage; EXTERNAL 'LC1216A' INDEX  SET_VOLTAGE_RANGE;
PROCEDURE LC0_SetTime; EXTERNAL 'LC1216A' INDEX SET_TIME ;
PROCEDURE LC0_Wait; EXTERNAL 'LC1216A' INDEX WAIT_FOR_END ;
PROCEDURE LC0_Interrupt; EXTERNAL 'LC1216A' INDEX INTERRUPT_SERVICE ;
PROCEDURE LC0_DigitalIn; EXTERNAL 'LC1216A' INDEX DIGITAL_INPUT ;
PROCEDURE LC0_DigitalOut; EXTERNAL 'LC1216A' INDEX DIGITAL_OUTPUT ;
PROCEDURE LC0_CTCWrite; EXTERNAL 'LC1216A' INDEX CTC_WRITE ;
PROCEDURE LC0_CTCRead; EXTERNAL 'LC1216A' INDEX  CTC_READ;
PROCEDURE LC0_Leave; EXTERNAL 'LC1216A' INDEX  LEAVE_DRIVER;
PROCEDURE LC0_Config; EXTERNAL 'LC1216A' INDEX  CONFIG;
PROCEDURE LC0_Break; EXTERNAL 'LC1216A' INDEX BREAK ;
PROCEDURE LC0_DataTransmit; EXTERNAL 'LC1216A' INDEX DATA_TRANSMIT ;
PROCEDURE LC0_MemoryUse; EXTERNAL 'LC1216A' INDEX MEMORY_USE ;
PROCEDURE LC0_AnalogIn; EXTERNAL 'LC1216A' INDEX ANALOG_INPUT ;
PROCEDURE LC0_AnalogOut; EXTERNAL 'LC1216A' INDEX ANALOG_OUTPUT ;

END.
